let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/kzv56yx369j0jvcza2cphj2pv8xmqga4-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/q2s80z6hhw1gi3wa14v5a1zppkqk9c2p-coreutils-8.30/bin";
  bzip2 = "/nix/store/dl50y1llg1cnvg17b9486vyc77ppi8m0-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/96hsmcpb0ibl1ywr0y556nsmqwfs27dl-gzip-1.10/bin/gzip";
  xz = "/nix/store/4729nh27mirp2x7gydbffrawadn9ymg8-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/92vm391ss6fvvhmij7rdglwn6mcagc13-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/q2s80z6hhw1gi3wa14v5a1zppkqk9c2p-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/0q5qnh10m2sfrriszc1ysmggw659q6qm-nix-2.3.2/bin";
  nixPrefix = "/nix/store/0q5qnh10m2sfrriszc1ysmggw659q6qm-nix-2.3.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/0q5qnh10m2sfrriszc1ysmggw659q6qm-nix-2.3.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
